Summary: Drag and Drop Editor
Name: OffiX-Editor
Version: 2.4
Release: 1
Source: ftp.leb.net:/pub/offix/Editor-2.4.tar.gz
Patch: Editor-2.4-Xaw3d.patch
BuildRoot: /tmp/OffiX-Editor-build
Copyright: GPL
Group: X11/Applications

%description
This is an Athena based text editor. It's a patched version of the xed
editor. Like xed, you can perform common actions via user-friendly menus.
You can also drop a file on the "filename" area and the editor will load
this file. If the file is saved, you can also drag from this area to
somewhere else (e.g. to the "printer" program).

%prep
%setup -n Editor-2.4
%patch -p1

%build
./configure --prefix=/usr/X11R6 --datadir=/usr/X11R6/lib/X11 --with-dnd-inc=/usr/X11R6/include/X11 --with-dnd-lib=/usr/X11R6/lib
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
make prefix=$RPM_BUILD_ROOT/usr/X11R6 datadir=$RPM_BUILD_ROOT/usr/X11R6/lib/X11 install
install -c -m 644 src/Editor.mutekeys $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Editor
strip $RPM_BUILD_ROOT/usr/X11R6/bin/editor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING INSTALL README THANKS src/Editor.mutekeys src/Editor.nomute
/usr/X11R6/bin/editor
/usr/X11R6/man/man1/editor.1
%config /usr/X11R6/lib/X11/app-defaults/Editor
%dir /usr/X11R6/lib/X11/OffiX
/usr/X11R6/lib/X11/OffiX/editor.help
